package com.yc.ship.module.trade.service.order;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.trade.controller.admin.visitor.vo.VisitorPageReqVO;
import com.yc.ship.module.trade.controller.admin.visitor.vo.VisitorRespVO;
import com.yc.ship.module.trade.dal.dataobject.order.TradeVisitorDO;

import java.util.List;

public interface TradeVisitorService {

    List<TradeVisitorDO> getShipByOrderIds(List<Long> orderIds);

    /**
     * 获取未投保的游客ID
     * @param orderIdList
     * @return
     */
    List<Long> getNotInsureByOrderIds(List<Long> orderIdList);

    PageResult<VisitorRespVO> getVisitorPage(VisitorPageReqVO pageReqVO);

    TradeVisitorDO getVisitor(Long id);

    void updateVisitor(TradeVisitorDO updateReqVO);
}
